crc.cpp File Reference
`#include "crc.h"`

## Macros

#define | WIDTH (8 * sizeof(crc))
#define | TOPBIT (1 << (WIDTH - 1))
#define | REFLECT_DATA(X) ((unsigned char) reflect((X), 8))
#define | REFLECT_REMAINDER(X) ((crc) reflect((X), WIDTH))

## Functions

crc | crcSlow (unsigned char const message[], int nBytes)
void | crcInit (void)
crc | crcFast (unsigned char const message[], int nBytes)

## Variables

crc | crcTable [256]

## Macro Definition Documentation

#define REFLECT_DATA | ( |  | X | ) | ((unsigned char) reflect((X), 8))

#define REFLECT_REMAINDER | ( |  | X | ) | ((crc) reflect((X), WIDTH))

#define TOPBIT (1 << (WIDTH - 1))

#define WIDTH (8 * sizeof(crc))

## Function Documentation

crc crcFast | ( | unsigned char const | message[],
|  | int | nBytes
| ) |  |

void crcInit | ( | void |  | ) |

crc crcSlow | ( | unsigned char const | message[],
|  | int | nBytes
| ) |  |

## Variable Documentation

crc crcTable[256]